import { errorRecord } from "../../common/libEventLog/libCrashlytics/libCrashlyticsEvent";
import { AUTO_PI_APPROVAL_URL } from "../../Api/ApiUrls";
var UserExperior = require("react-native-userexperior");

// instructions
export const checkAutoPIApproval = async ({ activityId }) => {
  UserExperior.startTimer(`${AUTO_PI_APPROVAL_URL}activityId=${activityId}`);

  console.log(
    "CHECK AUTO PI APPROVAL URL =>",
    `${AUTO_PI_APPROVAL_URL}activityId=${activityId}`
  );

  try {
    const res = await fetch(`${AUTO_PI_APPROVAL_URL}activityId=${activityId}`, {
      method: "GET",
    });
    let data = await res.json();
    if (res.status !== 200) {
      throw new Error(data?.error);
    }
    UserExperior.endTimer(`${AUTO_PI_APPROVAL_URL}activityId${activityId}`);
    return data;
  } catch (err) {
    errorRecord(err);
    console.log(err);
  }
};
